﻿using IgniteUI.Blazor.Controls;
using Microsoft.AspNetCore.Components;
using RangeChangedScriptBugs.Data;

namespace RangeChangedScriptBugs.Pages;

public class DateChartViewModel : ComponentBase
{
    [Inject] protected IIgniteUIBlazor? IgniteUIBlazor { get; set; }

    [Inject] protected NavigationManager? NavigationManager { get; set; }

    public List<ChartItem>? DataForDemo { get; set; }

    public void InitializeData()
    {
        var data = new ChartData();
        DataForDemo = data.BuildData();
    }

    protected override void OnInitialized()
    {
        IgbLegendModule.Register(IgniteUIBlazor);
        IgbDataChartCoreModule.Register(IgniteUIBlazor);
        IgbDataChartScatterModule.Register(IgniteUIBlazor);
        IgbDataChartScatterCoreModule.Register(IgniteUIBlazor);
        IgbDataChartInteractivityModule.Register(IgniteUIBlazor);
        IgbNumberAbbreviatorModule.Register(IgniteUIBlazor);

        InitializeData();
    }

    public string LabelFormat()
    {
        var script = IsDateChart() ? "dateFormatter" : "numFormatter";
        return script;
    }

    private bool IsDateChart()
    {
        if (NavigationManager is null) return true;
        return NavigationManager.Uri.Contains("datechart");
    }
}