﻿using IgniteUI.Blazor.Controls;
using Microsoft.AspNetCore.Components;
using RangeChangedScriptBugs.Data;

namespace RangeChangedScriptBugs.Pages;

public class IndexViewModel : ComponentBase
{
    [Inject] protected IIgniteUIBlazor? IgniteUIBlazor { get; set; }

    public List<ChartItem>? DataForDemo { get; set; }

    public void InitializeData()
    {
        var data = new ChartData();
        DataForDemo = data.BuildData();
    }

    protected override void OnInitialized()
    {
        IgbLegendModule.Register(IgniteUIBlazor);
        IgbDataChartCoreModule.Register(IgniteUIBlazor);
        IgbDataChartScatterModule.Register(IgniteUIBlazor);
        IgbDataChartScatterCoreModule.Register(IgniteUIBlazor);
        IgbDataChartInteractivityModule.Register(IgniteUIBlazor);
        IgbNumberAbbreviatorModule.Register(IgniteUIBlazor);

        InitializeData();
    }

    public string LabelFormat(bool isDate)
    {
        var script = isDate ? "dateFormatter" : "numFormatter";
        return script;
    }
}